/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.exception.functional.verification;

import com.hamburgsud.aludratest.exception.functional.FunctionalException;
import com.hamburgsud.aludratest.locator.Locator;


public class NoFocusException extends FunctionalException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public NoFocusException(final Locator locator) {
		super();
		setLocators(locator);
		setMessage();
	}

	private void setMessage() {
		final String message = "The element with the locator " + getLocatorsAsString()
				+ " does not have the focus.";
		setMessage(message);
	}

}
