/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.gui.component;


import com.hamburgsud.aludratest.AludraTest;
import com.hamburgsud.log4testing.core.data.TestStep;

public class Checkbox extends Element {

	public Checkbox(final AludraTest aludraTest, final Object locator) {
		super(aludraTest, locator);
	}

	public TestStep select() {
		return perform().selectCheckbox(locator);
	}

	public TestStep deselect() {
		return perform().deselectCheckbox(locator);
	}
	
	public TestStep change() {
		return perform().changeCheckbox(locator);
	}
	
	public TestStep isChecked() {
		return verify().isChecked(locator);
	}
	
	public TestStep isChecked(boolean expected) {
		return verify().checked(expected, locator);
	}
	
}
