/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.gui.component;


import com.hamburgsud.aludratest.AludraTest;
import com.hamburgsud.log4testing.core.data.TestStep;

public class Dropdownbox extends Element {

	private static final String SCRIPT_WAIT_FOR_NOT_EMPTY = "var value = selenium.getSelectedValue(\"//select[contains(@id, \\\"%s\\\")]\"); value != \"\" ";

	public Dropdownbox(AludraTest aludraTest, Object locator) {
		super(aludraTest, locator);
	}

	public TestStep selectEntry(final Object option) {
		return perform().selectDropDownEntry(locator, option);
	}
	
	public String getSelectedEntry() {
		return perform().getInputFieldValue(locator);
	}

	public TestStep hasSelected(final String label) {
		return verify().dropDownEntrySelection(locator, label);
	}
	
	public TestStep hasValues(final String... values) {
		return verify().hasValues(locator, values);
	}
	
	public TestStep hasLabels(final String... labels) {
		return verify().hasLabels(locator, labels);
	}
	
	public TestStep waitForNotEmpty() {
		String script = String.format(SCRIPT_WAIT_FOR_NOT_EMPTY, locator);
		return perform().waitForCondition(script);
	}

}
