/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.locator;

public class Locator {

	private String locator;

	private Locator() {
		super();
	}

	public Locator(final String locator) {
		this();
		this.locator = locator;
	}

	public String toString() {
		return locator;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof Locator) {
			final Locator otherLocator = (Locator) obj;
			return locator.equals(otherLocator.toString());
		} else {
			return super.equals(obj);
		}
	}

}
